Page MenuHomePhabricator

Initial implementation of MCR page update interface
Closed, ResolvedPublic

Description

This ticket covers the implementation of a mechanism for creating new page revisions with multiple content objects.

The functionality provided is roughly equivalent to the doEditContent functionality offered by the WikiPage class. The WikiPage class should remain a thin layer on top of the new page update interface, as a legacy proxy.

Design draft: https://www.mediawiki.org/wiki/Multi-Content_Revisions/Page_Update_Controller

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
daniel updated the task description. (Show Details)Aug 25 2017, 4:04 PM
daniel updated the task description. (Show Details)
thiemowmde triaged this task as Normal priority.Dec 11 2017, 4:06 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:12 PM

Change 406388 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR] Prepare PreparedEdit for MCR

https://gerrit.wikimedia.org/r/406388

Change 419803 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR][WIP] First basic refactoring step for WikiPage

https://gerrit.wikimedia.org/r/419803

Change 406388 abandoned by Daniel Kinzler:
[MCR] Prepare PreparedEdit for MCR

Reason:
merged this into If610c68f4912e89af616cdcac1d35a1be3946afa

https://gerrit.wikimedia.org/r/406388

Change 423146 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Introduce RevisionSlotsUpdate.

https://gerrit.wikimedia.org/r/423146

daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.May 7 2018, 10:39 AM
daniel claimed this task.May 7 2018, 10:49 AM

Change 421433 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [WIP][MCR] Replace WikiPage::doEditContent

https://gerrit.wikimedia.org/r/421433

Change 423146 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Introduce RevisionSlotsUpdate.

https://gerrit.wikimedia.org/r/423146

Change 434183 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR] Move RevisionRecord creation into DerivedPageDataUpdater.

https://gerrit.wikimedia.org/r/434183

CCicalese_WMF renamed this task from Implement MCR page update interface to Initial implementation of MCR page update interface.May 31 2018, 5:22 PM

Change 405015 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Factor PageUpdater out of WikiPage

https://gerrit.wikimedia.org/r/405015

daniel closed this task as Resolved.Jun 14 2018, 1:39 PM

\o/

Change 434183 abandoned by Daniel Kinzler:
[MCR][EXP] Move RevisionRecord creation into DerivedPageDataUpdater.

https://gerrit.wikimedia.org/r/434183